Open Bug 1524049 Opened 10 months ago Updated 2 days ago

Flip media.rdd-vorbis.enabled to true on Win

Categories

(Core :: Audio/Video: Playback, enhancement, P2)

enhancement

Tracking

()

ASSIGNED
Fission Milestone Future

People

(Reporter: mjf, Assigned: mjf)

References

(Depends on 1 open bug, Blocks 2 open bugs)

Details

Attachments

(1 file, 1 obsolete file)

Win (non arm64) and OSX support RDD - turn on Vorbis decoding on RDD

Assignee: nobody → mfroman
Rank: 15
Depends on: 1500596
Priority: -- → P2
Pushed by mfroman@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/8704f4b3c8c0
pref on vorbis decoding on RDD process. r=drno

Backed out changeset 8704f4b3c8c0 (Bug 1524049) for browser-chrome failures

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=browser-chrome&fromchange=6982b26698b4ab8b29e07367248de61b07a66c87&group_state=expanded&tochange=d8b49bdcea45427d3a811c5d1f65104631653b3c

Backout link: https://hg.mozilla.org/integration/autoland/rev/d8b49bdcea45427d3a811c5d1f65104631653b3c

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=229692532&repo=autoland&lineNumber=13150

17:46:31 INFO - TEST-OK | browser/base/content/test/general/browser_windowactivation.js | took 7296ms
17:46:31 INFO - GECKO(5808) | ++DOCSHELL 000001601F247000 == 2 [pid = 8016] [id = {e0e534e2-57c2-4159-bd68-1b7ee85cad30}]
17:46:31 INFO - GECKO(5808) | ++DOMWINDOW == 3 (000001601F29BC00) [pid = 8016] [serial = 434] [outer = 0000000000000000]
...
...
17:47:49 INFO - GECKO(5808) | Hit MOZ_CRASH(Shutdown too long, probably frozen, causing a crash.) at z:/build/build/src/toolkit/components/terminator/nsTerminator.cpp:213
17:47:50 INFO - GECKO(5808) | #01: static unsigned int pr_root(void *) [nsprpub/pr/src/md/windows/w95thred.c:138]
17:47:50 INFO -
17:47:50 INFO - GECKO(5808) | #02: ucrtbase.dll + 0x1c4be
17:47:50 INFO -
17:47:50 INFO - GECKO(5808) | #03: KERNEL32.DLL + 0x13034
17:47:50 INFO -
17:47:50 INFO - GECKO(5808) | #04: static void patched_BaseThreadInitThunk(int, void *, void *) [mozglue/build/WindowsDllBlocklist.cpp:735]
17:47:50 INFO -
17:47:50 INFO - GECKO(5808) | #05: ntdll.dll + 0x71461
17:47:50 INFO -
17:47:50 INFO - TEST-INFO | Main app process: exit 1
17:47:50 INFO - Buffered messages finished
17:47:50 ERROR - TEST-UNEXPECTED-FAIL | Last test finished | application terminated with exit code 1
17:47:50 INFO - runtests.py | Application ran for: 0:07:46.528000
17:47:50 INFO - zombiecheck | Reading PID log: c:\users\task_1550770250\appdata\local\temp\tmptxtizvpidlog
17:47:50 INFO - ==> process 10700 launched child process 5616 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.0.1414624030\1373799268" -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 1848 gpu)
17:47:50 INFO - ==> process 10700 launched child process 8016 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.6.1762573224\461350118" -childID 1 -isForBrowser -prefsHandle 3044 -prefMapHandle 3040 -prefsLen 1 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 3004 tab)
17:47:50 INFO - ==> process 10700 launched child process 6788 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.13.1433446650\1146141809" -childID 2 -isForBrowser -prefsHandle 1200 -prefMapHandle 2040 -prefsLen 132 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 1912 tab)
17:47:50 INFO - ==> process 10700 launched child process 10060 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.20.445497768\1085452535" -childID 3 -isForBrowser -prefsHandle 3256 -prefMapHandle 3260 -prefsLen 132 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 3176 tab)
17:47:50 INFO - ==> process 10700 launched child process 8124 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.27.537427743\820176785" -childID 4 -isForBrowser -prefsHandle 4012 -prefMapHandle 3868 -prefsLen 8257 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 4108 tab)
17:47:50 INFO - ==> process 10700 launched child process 7184 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.34.2136146484\1372909221" -childID 5 -isForBrowser -prefsHandle 4308 -prefMapHandle 4312 -prefsLen 8287 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 4236 tab)
17:47:50 INFO - ==> process 10700 launched child process 10304 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.41.1388464252\1586109901" -childID 6 -isForBrowser -prefsHandle 3584 -prefMapHandle 3908 -prefsLen 8287 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 4016 tab)
17:47:50 INFO - ==> process 10700 launched child process 3360 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.48.956625951\1057767353" -childID 7 -isForBrowser -prefsHandle 4564 -prefMapHandle 3908 -prefsLen 8287 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 4756 tab)
17:47:50 INFO - ==> process 10700 launched child process 10096 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.55.1758837483\1084591948" -childID 8 -isForBrowser -prefsHandle 4976 -prefMapHandle 4944 -prefsLen 8287 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 4984 tab)
17:47:50 INFO - ==> process 10700 launched child process 10176 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.62.568263692\1591411294" -childID 9 -isForBrowser -prefsHandle 4740 -prefMapHandle 4984 -prefsLen 8286 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 4964 tab)
17:47:50 INFO - ==> process 10700 launched child process 10088 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.69.925374670\422307408" -childID 10 -isForBrowser -prefsHandle 5264 -prefMapHandle 5260 -prefsLen 8286 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 5300 tab)
17:47:50 INFO - ==> process 10700 launched child process 7304 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.76.224000668\1789212468" -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 6320 rdd)
17:47:50 INFO - ==> process 10700 launched child process 3540 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.80.803719082\1619935893" -childID 11 -isForBrowser -prefsHandle 7724 -prefMapHandle 7384 -prefsLen 11423 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 7800 tab)
17:47:50 INFO - ==> process 10700 launched child process 1504 ("Z:\task_1550770250\build\application\firefox\firefox.exe" -contentproc --channel="10700.87.1697653300\743819279" -childID 12 -isForBrowser -prefsHandle 3392 -prefMapHandle 3416 -prefsLen 11793 -prefMapSize 195617 -parentBuildID 20190221163117 -greomni "Z:\task_1550770250\build\application\firefox\omni.ja" -appomni "Z:\task_1550770250\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1550770250\build\application\firefox\browser" - 10700 "\.\pipe\gecko-crash-server-pipe.10700" 6732 tab)
17:47:50 INFO - zombiecheck | Checking for orphan process with PID: 10304
17:47:50 INFO - zombiecheck | Checking for orphan process with PID: 8016
...
...
17:47:50 INFO - zombiecheck | Checking for orphan process with PID: 10096
17:47:50 INFO - zombiecheck | Checking for orphan process with PID: 10176
17:47:50 INFO - mozcrash Copy/paste: Z:\task_1550770250\build\win32-minidump_stackwalk.exe c:\users\task_1550770250\appdata\local\temp\tmpa24big.mozrunner\minidumps\57ed35a8-920d-4a61-8397-eb75480101c0.dmp Z:\task_1550770250\build\symbols
17:48:01 INFO - mozcrash Saved minidump as Z:\task_1550770250\build\blobber_upload_dir\57ed35a8-920d-4a61-8397-eb75480101c0.dmp
17:48:01 INFO - mozcrash Saved app info as Z:\task_1550770250\build\blobber_upload_dir\57ed35a8-920d-4a61-8397-eb75480101c0.extra
17:48:01 INFO - PROCESS-CRASH | Last test finished | application crashed [@ static void mozilla::anonymous namespace'::RunWatchdog(void *)] 17:48:01 INFO - Crash dump filename: c:\users\task_1550770250\appdata\local\temp\tmpa24big.mozrunner\minidumps\57ed35a8-920d-4a61-8397-eb75480101c0.dmp 17:48:01 INFO - Operating system: Windows NT 17:48:01 INFO - 10.0.17134 17:48:01 INFO - CPU: amd64 17:48:01 INFO - family 6 model 85 stepping 4 17:48:01 INFO - 8 CPUs 17:48:01 INFO - 17:48:01 INFO - GPU: UNKNOWN 17:48:01 INFO - 17:48:01 INFO - Crash reason: EXCEPTION_BREAKPOINT 17:48:01 INFO - Crash address: 0x7ffc9f849e80 17:48:01 INFO - Process uptime: 466 seconds 17:48:01 INFO - 17:48:01 INFO - Thread 16 (crashed) 17:48:01 INFO - 0 xul.dll!static void mozilla::anonymous namespace'::RunWatchdog(void *) [nsTerminator.cpp:8704f4b3c8c0d4530e89c138755919db48ac606e : 213 + 0x0]
17:48:01 INFO - rax = 0x00007ffca233c113 rdx = 0x00007ffce170a640
17:48:01 INFO - rcx = 0x00007ffccc54fae0 rbx = 0x0000025c825bf938
17:48:01 INFO - rsi = 0x00007ffce41d3ca0 rdi = 0x000000000000003f
17:48:01 INFO - rbp = 0x00007ffccc270158 rsp = 0x0000006f1517fc70
17:48:01 INFO - r8 = 0x0000006f15179cb8 r9 = 0x0000000000000000
17:48:01 INFO - r10 = 0x0000000000000000 r11 = 0x0000006f1517b2f0
17:48:01 INFO - r12 = 0x00007ffccc21dd24 r13 = 0x00007ffccc21dc74
17:48:01 INFO - r14 = 0x00007ffccc272970 r15 = 0x00007ffccc21dd43
17:48:01 INFO - rip = 0x00007ffc9f849e80
17:48:01 INFO - Found by: given as instruction pointer in context
17:48:01 INFO - 1 nss3.dll!PR_NativeRunThread [pruthr.c:8704f4b3c8c0d4530e89c138755919db48ac606e : 397 + 0x7]
17:48:01 INFO - rbx = 0x0000025c825bf938 rbp = 0x00007ffccc270158
17:48:01 INFO - rsp = 0x0000006f1517fcc0 r12 = 0x00007ffccc21dd24
17:48:01 INFO - r13 = 0x00007ffccc21dc74 r14 = 0x00007ffccc272970
17:48:01 INFO - r15 = 0x00007ffccc21dd43 rip = 0x00007ffccc0f02c6
17:48:01 INFO - Found by: call frame info
17:48:01 INFO - 2 nss3.dll!static unsigned int pr_root(void *) [w95thred.c:8704f4b3c8c0d4530e89c138755919db48ac606e : 137 + 0x6]
17:48:01 INFO - rbx = 0x0000025c825bf938 rbp = 0x00007ffccc270158
17:48:01 INFO - rsp = 0x0000006f1517fd40 r12 = 0x00007ffccc21dd24
17:48:01 INFO - r13 = 0x00007ffccc21dc74 r14 = 0x00007ffccc272970
17:48:01 INFO - r15 = 0x00007ffccc21dd43 rip = 0x00007ffccc0de13a
17:48:01 INFO - Found by: call frame info
17:48:01 INFO - 3 ucrtbase.dll!RtlpHpSegPageRangeShrink + 0xda
17:48:01 INFO - rbx = 0x0000025c825bf938 rbp = 0x00007ffccc270158
17:48:01 INFO - rsp = 0x0000006f1517fd70 r12 = 0x00007ffccc21dd24
17:48:01 INFO - r13 = 0x00007ffccc21dc74 r14 = 0x00007ffccc272970
17:48:01 INFO - r15 = 0x00007ffccc21dd43 rip = 0x00007ffce163c4be
17:48:01 INFO - Found by: call frame info

Flags: needinfo?(mfroman)

I am looking into this. I might have been able to replicate here on my Win VM. Unfortunately the current run where I've seen a failure took 53 minutes. I'll be trying to trim out tests to speed up local runs while adding some logging to runs on try to help pin down what is happening.

Flags: needinfo?(mfroman)
Fission Milestone: --- → M2
Summary: Flip media.rdd-vorbis.enabled to true on RDD supported platforms → Flip media.rdd-vorbis.enabled to true on Win
Blocks: 1531092
Blocks: RDD
Status: NEW → ASSIGNED
Depends on: 1535704

Punting to Fission M3 as requested by Nils.

Fission Milestone: M2 → M3
Blocks: 1550570
No longer blocks: 1531092
Attachment #9045509 - Attachment is obsolete: true
Depends on: 1553249

Since this is dependent on another bug which is still unassigned, this probably won't get done by tomorrow, so punting to M4.

Fission Milestone: M3 → M4
Depends on: 1568372
Fission Milestone: M4 → Future
Pushed by mfroman@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/503072d1ff1d
pref on vorbis decoding on RDD for Windows. r=drno

If downloading a mingw-clang build and running these tests manually (if possible - they can't be run from ./mach test unfortunately...) doesn't give an apparent answer, it should be relatively easy to put in a define so it's not flipped for MinGW; but we should file a followup bug blocking mingw-clang to investigate why this is happening.

I believe the important log line is "DLL blocklist was unable to intercept AppInit DLLs." :
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=276606186&repo=autoland&lineNumber=1314

This (along with a couple lines down "WARNING: '!rddOpened'") points to a sandbox issue. I pushed to try with the RDD sandbox disabled and the test passes.
https://treeherder.mozilla.org/#/jobs?repo=try&revision=3d61d1e04b55665af399e0a1df2d0e113aa3141d

Tom, should I open a sandbox bug?

Flags: needinfo?(mfroman) → needinfo?(tom)

Yes please; but it will still block mingw-clang

Flags: needinfo?(tom)
Depends on: 1597408
You need to log in before you can comment on or make changes to this bug.